Create new asset deposit address
Creates a new deposit address for an asset of a vault account. Should be used for UTXO or Tag/Memo based assets ONLY.
Requests with account based assets will fail.
Endpoint Permission: Admin, Non-Signing Admin.
POST
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
addresses
TypeScript
const response: Promise<FireblocksResponse<CreateAddressResponse>> = fireblocks.vaults.createVaultAccountAssetAddress(vaultsApiCreateVaultAccountAssetAddressRequest);CompletableFuture<ApiResponse<CreateAddressResponse>> response = fireblocks.vaults().createVaultAccountAssetAddress(vaultAccountId, assetId, createAddressRequest, idempotencyKey);response = fireblocks.vaults.create_vault_account_asset_address(vault_account_id, asset_id, create_address_request, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"customerRefId": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', customerRefId: '<string>'})
};
fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"legacyAddress": "<string>",
"enterpriseAddress": "<string>",
"tag": "<string>",
"bip44AddressIndex": 123
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the vault account to return
The ID of the asset
Body
application/json
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<CreateAddressResponse>> = fireblocks.vaults.createVaultAccountAssetAddress(vaultsApiCreateVaultAccountAssetAddressRequest);CompletableFuture<ApiResponse<CreateAddressResponse>> response = fireblocks.vaults().createVaultAccountAssetAddress(vaultAccountId, assetId, createAddressRequest, idempotencyKey);response = fireblocks.vaults.create_vault_account_asset_address(vault_account_id, asset_id, create_address_request, idempotency_key);